Bug 658590 - GFS2: Use 512 B block sizes to communicate with userland quota tools
Summary: GFS2: Use 512 B block sizes to communicate with userland quota tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Abhijith Das
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-30 18:50 UTC by Abhijith Das
Modified: 2011-05-23 20:29 UTC (History)
0 users

Fixed In Version: kernel-2.6.32-91.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-23 20:29:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch to fix the problem (2.28 KB, patch)
2010-11-30 18:52 UTC, Abhijith Das
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 11:58:07 UTC

Description Abhijith Das 2010-11-30 18:50:47 UTC
Description of problem:
The generic quota tools that communicate with gfs2 through the quotactl() syscall assume usage/limit/warn values to be in 512B block sizes instead of the fs block size that is assumed by gfs2.

 
Actual results:
The values are all messed up. One can compare the output of gfs2_quota vs that of the values reported by the generic quota tools (repquota, quota, etc.)

Expected results:
The values should tally.

Comment 1 Abhijith Das 2010-11-30 18:52:09 UTC
Created attachment 463802 [details]
Patch to fix the problem

Comment 2 RHEL Program Management 2010-11-30 18:59:35 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 3 Abhijith Das 2010-11-30 19:05:33 UTC
Posted to rhkernel-list for inclusion in RHEL6.1
http://post-office.corp.redhat.com/archives/rhkernel-list/2010-November/msg01615.html

Comment 4 Aristeu Rozanski 2010-12-15 16:07:25 UTC
Patch(es) available on kernel-2.6.32-91.el6

Comment 7 Nate Straz 2011-04-26 20:55:40 UTC
[root@dash-02 ~]# repquota /mnt/full
*** Report for user quotas on device /dev/dm-4
Block grace time: 00:00; Inode grace time: 00:00
                        Block limits                File limits
User            used    soft    hard  grace    used  soft  hard  grace
----------------------------------------------------------------------
root      --       4       0       0              0     0     0
testmonkey --   20064  100000  200000              0     0     0

[root@dash-02 ~]# ls -l  /mnt/full/testmonkey/
total 20056
-rw-r--r--. 1 testmonkey testmonkeys 10240000 Apr 26 15:46 fil2ler
-rw-r--r--. 1 testmonkey testmonkeys 10240000 Apr 26 15:46 filler

The results look too match.

Comment 8 errata-xmlrpc 2011-05-23 20:29:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html


Note You need to log in before you can comment on or make changes to this bug.